Description

Most color JPEG images internally use the YCbCr color model. Unfortunately,
in rare cases also JPEG baseline compressed color images that use RGB
can be encountered.

When converting a color JPEG image to DICOM, img2dcm currently assumes
that this uses YCbCr color model, which causes an incorrect image to be
created when an RGB JPEG image is used.

According to information received from Dave Harvey, these rare RGB images
which were produced by some Adobe tools can be recognized by the
"Componentldentifier" numbers in the JPEG_SOF parameters. Normally these
identifiers, which are arbitrary bytes, have the values 0, 1 and 2.

In the case of Adobe RGB images, however, they always use the numbers
82, 71 and 66, which are the ASCII codes for "R", "G" and "B", as hints
that this is really RGB data.

img2dcm should specifically look for these component identifiers,
and if found, assume an RGB encoding (i.e. set PhotometricInterpretation to "RGB").

Attached is an example of a JPEG image with RGB encoding.

Related issues:
Related to DCMTK - Feature #829: JPEG decoder should use JPEG component ident... New 2018-05-03

History

#1 - 2018-05-03 09:27 - Marco Eichelberg
- Related to Feature #829: JPEG decoder should use JPEG component identifiers to guess the color model used added

#2 - 2018-05-03 09:27 - Marco Eichelberg
- Related to Feature #829: JPEG decoder should use JPEG component identifiers to guess the color model used added

#3 - 2018-05-03 09:28 - Marco Eichelberg
- Related to deleted (Feature #829: JPEG decoder should use JPEG component identifiers to guess the color model used)

#4 - 2018-05-03 11:11 - Marco Eichelberg

- Subject changed from dem2img should use JPEG component identifiers to guess the color model used to img2dcm should use JPEG component
identifiers to guess the color model used

#5 - 2018-05-03 11:13 - J6rg Riesmeier

- Description updated

#6 - 2020-05-25 13:36 - Michael Onken

- Tracker changed from Bug to Feature
#7 - 2025-08-29 18:31 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100
Meanwhile implemented in img2dcm.
